Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000775Core InformAssertions and creationspublic2011-10-11 18:162014-05-07 07:34
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000775: I7 compiler crashes on braced invocations within I6-level class inclusion
Description(These abject failure errors are getting harder and harder to find. But I manage. Can I have a gold star now?)

Both {-erase} and {-delete} cause this, but not {phrase options}, curiously enough. I didn't try the counters.


Minimal Source Text To Reproduce
USS Enterprise is a room. 

Include (- {-erase}
	with talkable, -) when defining a room.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships
has duplicate 0000831closedgraham Unknown I6T commands produce internals errors in inclusions 

-  Notes
(0001406)
graham (administrator)
2011-10-17 11:07

Is it really a "critical" bug when somebody hacking into the internals of Inform produces an internal error? This is not meant to be a feature for end users; indeed, the range of what is legal here is not, I think, explicitly documented, and that's intentional.

However, despite my muttering, I have now added a more explicit problem message.

- Issue History
Date Modified Username Field Change
2011-10-11 18:16 Ron Newcomb New Issue
2011-10-12 04:13 EmacsUser Status new => confirmed
2011-10-17 11:07 graham Note Added: 0001406
2011-10-17 11:07 graham Status confirmed => resolved
2011-10-17 11:07 graham Resolution open => fixed
2011-10-17 11:07 graham Assigned To => graham
2013-06-01 15:50 graham Relationship added has duplicate 0000831
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker